Skip to main content

Generate a new key pair and self-signed certificate at the key store

POST /occm/key-store/external-certificate-file

Generates a new key pair and self-signed certificate at the key store and returns a certificate signing request (CSR).

Parameters

Name Type In Required Description

certificateFilename

string

header

False

privateKeyFilename

string

header

False

algorithm

string

header

False

Request Body

Name Type Required Description

formData

formData

True

formDataMap

formDataMap

True

parts

array[InputPart]

True

preamble

string

False

Error

Status: Default, Default response
Name Type Required Description

publicId

string

False

directIssuerName

string

False

subjectName

string

False

startDate

integer

True

endDate

integer

False

serialNumber

string

False

certificate

string

False

certificateType

string

False

Definitions

See Definitions

parameters Hash mapping strings to string

mediaType

Name Type Required Description

type

string

False

subtype

string

False

parameters

parameters

True

wildcardSubtype

boolean

True

wildcardType

boolean

False

headers Hash mapping strings to array[string]

Name Type Required Description

empty

boolean

False

InputPart

Name Type Required Description

bodyAsString

string

True

mediaType

mediaType

True

contentTypeFromMessage

boolean

False

headers

headers

True

formData Hash mapping strings to InputPart

formDataMap Hash mapping strings to array[InputPart]